<template>
	<div>
		<div
			:class="{ 'px-2 md:px-4 lg:px-4': !fromSuccess }"
			class="flex justify-between w-full mb-4 lg:mb-6 font-primary-font-light text-base leading-6"
		>
			<p>Discount</p>
			<p>- {{ currencyDisplay }}{{ DISCOUNT_PRICE | centsToDollars | zeroDisplay | formatPrice }}</p>
		</div>
		<div
			:class="{ 'px-2 md:px-4 lg:px-4 mb-4 lg:mb-6 ': !fromSuccess }"
			class="flex justify-between w-full font-primary-font-light text-base leading-6"
		>
			<p class="font-primary-font-bold text-base leading-6">Order total</p>
			<p class="font-primary-font-bold text-base leading-6">
				{{ currencyDisplay }}{{ TOTAL_PRICE | centsToDollars | zeroDisplay | formatPrice }}
			</p>
		</div>
		<p v-if="isEurope" class="font-primary-font-regular text-black text-sm leading-6">Including VAT</p>
	</div>
</template>
<script>
import { mapState } from 'vuex';
export default {
	name: 'MkOrder',
	props: {
		fromSuccess: {
			type: Boolean,
			default: false,
		},
	},
	computed: {
		...mapState(['currencyDisplay','isEurope']),
		...mapState('USER_STORE', ['ORDER']),
		DISCOUNT_PRICE() {
			if (this.fromSuccess) {
				return this.ORDER?.custom?.fields?.totalDiscountPrice || 0;
			} else {
				return this.$store.state.CART_STORE.DISCOUNT_PRICE;
			}
		},
		TOTAL_PRICE() {
			if (this.fromSuccess) {
				return this.ORDER?.custom?.fields?.orderTotal || 0;
			} else {
				return this.$store.state.CART_STORE.TOTAL_PRICE;
			}
		},
	},
};
</script>
